Archives de l’auteur : linuxidable

Geany pour programmer en pascal

Geany

Geany est un IDE, qui se veut léger et qui donc propose  les fonctionnalités de base pour de nombreux lengages dont le FREE PASCAL

Il permet d’écrire un programme et l’appui simultané sur  CTRL+ESPACE permet de compléter le début d’une commande pascal; ce qui est bien pratique pour les distraits comme moi.

Il permet aussi de compiler et d’exécuter le programme dans une fenêtre terminal et cela en cliquant sur deux boutons dans la barre de menu.

Mon installation de Bitnami WP sous linux

Je vous propose le détail de l’installation de wordpress sous « Bitnami »

Aller sur le site de Bitnami, partie WordPress

https://bitnami.com/stack/wordpress

et sélectionnez votre type de distribution dans « local install »
(à droite)

On récupère un gros fichier bitnami-wordpress-4.7.5-0-linux-x64-installer.run (par exemple).
On ouvre un terminal dans lr répertoire qui le contient et on le rend exécutable Continuer la lecture

installer un CMS en local et en 10 minutes

Installer un CMS n’est pas nécessairement de tout repos et réaliser cela sans perturber le serveur web local déjà en service c’est encore plus chaud. Heureusement
Bitmani (https://bitnami.com/) va nous sauver !

Ce site propose des paquets contenant un serveur apache, le php, mysql et wordpress (et bien d’autres) à installer en local et même en tres local car on a pas besoin d’être administrateur.

Quelques exemples


L’astuce est que l’ensemble utilise d’autres ports; exemple: 8080 pour le web et 3307 pour mysql.

On télécharge un gros fichier que l’on rend exécutable avec un petit chmod, on l’exécute, en anglais,  (notez les ports et les mots de passes )et en fin de compte on a un wordpress qui fonctionne et même phpmyadmin.

On peut aussi utiliser la  session de mysql en mode console même si une autre fonctionne; il suffit de préciser le port et le type connexion.

#demarrer mysql sur le port 3307 pour bitnami
mysql  -u root -p –port=3307 –protocol=TCP

On peut sauvegarder la base sous la forme d’un fichier sql avec

mysqldump  -u root -p --port=3307 --protocol=TCP bitnami_wordpress >bitnami_wordpress.sql

WordPress demande les paramètres de connexion ftp en local

Je viens de rapatrier mon site en local et lors de la mise à jour d’un plugin, il me demande l’adresse de mon serveur FTP.

Bizarrreeu  il n’y en a pas ! En fait le problème vient du propriétaire du répertoire qui doit impérativement être celui défini dans le serveur Apache, en général www-data. Cela peut s'arranger avec

sudo chown -R www-data <répertoire de wordpress>

Je n’ai pas trouvé cela tout seul mais grâce  au Blog de

Mohammed Rhamnia

PDF-Shuffler : Réorganiser un PDF

J’ai  récupéré un « userManual » multilingue en PDF. Tout le monde connaît ce genre de littérature de 25 pages dont 4 sont en français. C’est là qu’un outil tout simple (sous linux)  permet  supprimer l’inutile :

PDF-Shuffler permet de supprimer des pages, rogner, tourner, ré-arranger l’ordre des pages, fusionner plusieurs PDF.
il se trouve dans les dépôts.

Voir le site (en anglais)

Firefox Passer en mode lecture

Qui n’a pas râlé sur la présentation de certaines pages web utilisant des caractères  peu lisibles, un style agressif et des pub envahissantes.

Il existe cependant une solution qui parfois est un peu trop restrictive mais qui, dans l’ensemble, rend la lecture de la page nettement plus agréable.

Le  mode : passer en mode lecture

jugez plutôt:

 

Probleme: installer Owncloud Sync Client sur linux Mint 17.3

voir l’article original sur le forum de linux Mint

Problems installing Owncloud Sync Client on 17.3

La version installée de owncloud-client  est incompatible avec un serveur récent. De plus si on essaye d’installer à partir de nouveaux dépôts (merci Google) on a des incompatibilités de bibliothèques, du genre

owncloud-client : Depends: libowncloudsync0 (= 2.2.2-18.2) but it is not going to be installed
Depends: libqt5core5a (>= 5.5.0) but 5.2.1+dfsg-1ubuntu14.3 is to be installed
Depends: libqt5keychain1 but it is not going to be installed
Depends: libstdc++6 (>= 5.2) but 4.8.4-2ubuntu1~14.04.3 is to be installed
Depends: owncloud-client-l10n but it is not going to be installed

La solution

Enlever les dépôts existants

sudo rm /etc/apt/sources.list.d/owncloud-client.list
sudo rm /etc/apt/sources.list.d/owncloud.list
apt purge owncloud*

Ajouter les bons dépôts

echo "deb http://download.opensuse.org/repositories/isv:/ownCloud:/desktop/Ubuntu_14.04/ /" | sudo tee /etc/apt/sources.list.d/owncloud-client.list

sudo apt-get update

Réinstaller

apt install owncloud-client

Et voilà  ; merci à Laurent85 https://forums.linuxmint.com